#!/usr/bin/python2

import generic_tla_monitoring
import os, pdb

special_plugin_description = "Virtual Language Observatory"
special_plugin_file_name = os.path.basename(__file__)

command_line_parameters = [("-h", "host",),
                           ("-u", "http_path",)]

def special_main_subroutine(host, http_path) :
    #result = test_case(host);
    #result = check_condition(host)
    #generic_tla_monitoring.nagios_return(result['code'], result['message'])

    http_path = (http_path,) # X- use frozenset
    
    # Check status for all http_path.
    results = \
        map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
                                                                      http_path                 = http_path,
                                                                      HTTP_method               = "GET",
                                                                      port_number               = 80,
                                                                      authorize                 = True,
                                                                      validator                 = generic_tla_monitoring.check_HTML_wellformedness,
                                                                      special_plugin_file_name  = special_plugin_file_name),
            http_path)
    
    generic_tla_monitoring.nagios_return_complex(results, 
                                                 reporter = special_plugin_description)

if __name__ == "__main__" :
    generic_tla_monitoring.main(special_main_subroutine,
                                command_line_parameters)

