#!/usr/bin/python2

import generic_tla_monitoring
import os, pdb


special_plugin_description = "Handle"
special_plugin_file_name = os.path.basename(__file__)
command_line_parameters = [("-h", "host",),
                           ("-u", "http_path",)]
IMDI_namespace = "http://www.mpi.nl/IMDI/Schema/IMDI"

# Warning: old checking condition "if 300 <= r1.status and r1.status < 400:" X-

def special_main_subroutine(host, http_path) :
    #result = test_case(host);
    #result = check_condition(host)
    #generic_tla_monitoring.nagios_return(result['code'], result['message'])

    valid_root_element_tag = "{%s}METATRANSCRIPT" % (IMDI_namespace)

    http_paths = (http_path,) # X- use frozenset
    # /1839/00-0000-0000-0000-0000-4
    # POST hdl=1839%2F00-0000-0000-0000-0009-4&auth=x&noredirect=
    
    # Check status for all http_paths.
    results = \
        map(lambda http_path : generic_tla_monitoring.check_condition(host                      = 'hdl.handle.net', # X- host
                                                                      http_path                 = http_path,
                                                                      HTTP_method               = 'POST',
                                                                      port_number               = 80,
                                                                      authorize                 = True,
                                                                      validator                 = generic_tla_monitoring.check_XML_validity,
                                                                      valid_root_element_tag    = valid_root_element_tag,                                                                 
                                                                      special_plugin_file_name  = special_plugin_file_name),
                           http_paths)   
    
    generic_tla_monitoring.nagios_return_complex(results, reporter = special_plugin_description)

if __name__ == "__main__" :
    generic_tla_monitoring.main(special_main_subroutine, 
                                command_line_parameters)

